package com.javacodegeeks.examples.linkedhashset;

//~--- non-JDK imports --------------------------------------------------------

import com.javacodegeeks.examples.linkedhashset.beans.Planet;

//~--- JDK imports ------------------------------------------------------------

import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.Set;

public class App {
    public static void main(String[] args) {
        Set<Planet> planets = new LinkedHashSet<>();

        planets.add(new Planet("Mercurio", 1));
        planets.add(new Planet("Saturno", 6));

        // Try to add the same object twice
        planets.add(new Planet("Mercurio", 1));
        planets.add(new Planet("Venus", 2));
        planets.add(new Planet("Tierra", 3));
        planets.add(new Planet("Marte", 4));
        planets.add(new Planet("Jupiter", 5));
        planets.add(new Planet("Urano", 7));

        // Try to add the same object twice
        planets.add(new Planet("Marte", 4));
        planets.add(new Planet("Pluton", 9));

        // Try to add the same object twice
        planets.add(new Planet("Urano", 7));
        planets.add(new Planet("Neptuno", 8));
        System.out.println("Number of planets: " + planets.size());

        if (!planets.isEmpty()) {
            Iterator<Planet> it = planets.iterator();

            while (it.hasNext()) {
                System.out.println(it.next());
            }
        }

        planets.remove(new Planet("Pluton", 9));
        planets.add(null);
        System.out.println("");

        if (!planets.isEmpty()) {
            Iterator<Planet> it = planets.iterator();

            while (it.hasNext()) {
                System.out.println(it.next());
            }
        }
    }
}
